curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/create_mobile_wallet_provisioning_request \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/create_mobile_wallet_provisioning_request"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/create_mobile_wallet_provisioning_request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet_provider": "apple_pay",
"apple_pay": {
"activation_data": "<string>",
"encrypted_pass_data": "<string>",
"ephemeral_public_key": "<string>"
},
"google_pay": {
"opaque_payment_card": "<string>"
}
}Create a mobile wallet push provisioning request
Create a request to push-provision a virtual card to a mobile wallet. This endpoint is part of a multiple-step integration that must be completed with each mobile wallet partner
Authorizations
Headers
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Body
A mobile wallet push provisioning request
The wallet provider of the push provisioning request
apple_pay, google_pay Apple Pay specific provisioning request data. Required for apple_pay wallet provider.
Show child attributes
Show child attributes
Google Pay specific push provisioning request data. Required for google_pay wallet provider.
Show child attributes
Show child attributes
Response
A successful push provisioning response
The mobile wallet push provisioning response
The wallet provider of the push provisioning request
apple_pay, google_pay The detailed provisioning request data that need to be sent directly to the apple_pay wallet provider
Show child attributes
Show child attributes
The detailed provisioning request data that need to be sent directly to the google_pay wallet provider
Show child attributes
Show child attributes
Was this page helpful?